OPT-GIF(1)

NAME
opt-gif - losslessly optimize GIF image files

SYNOPSIS
opt-gif [-h(elp)] [-f filelist] [-p(ipe)] [-q(uiet)] [-t(ouch)] [-T threads] file...

DESCRIPTION
opt-gif losslessly optimizes GIF images by removing unused palette entries. This is accomplished using the gifsicle utility.

OPTIONS

-h  Print help and quit.

-f file_list
    Read the names of files to be processed from the specified file.

-p  Read the names of files to be processed from stdin.

-q  Quiet output. No output commentary will be printed.

-t  Preserve timestamp on modified files.

-T threads
    Process up to the specified number of files in parallel. The default value is half the multi-threading capability of the CPU, i.e., half the sibling count as listed in /proc/cpuinfo.

EXAMPLES

Optimize a couple of image files:
    opt-gif image001.gif image002.gif

Optimize all GIF images in an directory tree, utilizing half of all cores:
    find . -name "*.gif" -print | opt-gif -p

Fully utilize a quad-core system while optimizing all GIF images:
    find . -name "*.gif" -print | opt-gif -p -T 4

NOTES
If opt-gif appears to be malfunctioning, try running it in single-threaded mode by using the -T 1 option. This permits more meaningful error messages to be printed.

WARNING
If your copy of the gifsicle utility was compiled without LZW support, this utility won't work. Specifically, it will fail to reduce image sizes at all, leaving them unchanged. [Versions of gifsicle without LZW support were intended to avoid infringing on Unisys' LZW patents. These patents expired in the United States on 2003-06-20, in Europe on 2004-06-18, and in Japan on 2005-06-19. If you have such a version, get a more recent copy with LZW support enabled.] Even if your copy of gifsicle does work properly, the best solution is still to convert all of your GIF images to PNG, as PNG images are almost always smaller.

SEE ALSO
gifsicle(1)

COPYRIGHT
Copyright (C) 2004-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.